VPN
66 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| downloadVpnCertificate | GET | Download Open VPN or SSL VPN certificate |
| listRemoteSite | GET | List Remote Site |
| batchDeleteVpn | DELETE | Batch delete VPN |
| getAllVpnList | GET | Get All VPN list (deprecated) |
| deleteVpn | DELETE | Delete VPN (deprecated) |
| checkUsedVpn | GET | Check used function for single VPN item |
| modifyClientStatus | PATCH | Modify VPN status |
| getSslVpnUserGroupBriefList | GET | Get SSL VPN user Group list V2 |
| uploadVpnCertificateFile | POST | Upload VPN certificate file (deprecated) |
| checkUsedInVpns | POST | Check used function for multiple VPN items |
| checkValueAvailable | POST | Check whether vpn value is available |
| getClientToSiteVpnClientList | GET | Get client-to-site VPN client list (deprecated) |
| createClientToSiteVpnClient | POST | Create client-to-site VPN client (deprecated) |
| deleteClientToSiteVpnClient | DELETE | Delete client-to-site VPN client (deprecated) |
| getVpnClientToSiteClientInfo | GET | Get client-to-site VPN client info (deprecated) |
| modifyClientToSiteVpnClient | PATCH | Modify client-to-site VPN client (deprecated) |
| getClientToSiteVpnServerList | GET | Get client-to-site VPN server list (deprecated) |
| createClientToSiteVpnServer | POST | Create client-to-site VPN server (deprecated) |
| deleteClientToSiteVpnServer | DELETE | Delete client-to-site VPN server (deprecated) |
| getClientToSiteVpnServerInfo | GET | Get client-to-site VPN server info (deprecated) |
| modifyClientToSiteVpnServer | PATCH | Modify client-to-site VPN server (deprecated) |
| getClientToSiteVpnServerUserList | GET | Get user list for client-to-site VPN server |
| getVpnDefaultValue | POST | Get default value for VPN |
| getVpnAvailableIpPool | GET | Get available IP pools for VPN |
| getGridIpsecFailover | GET | Get IPsec failover list (deprecated) |
| createIpsecFailover | POST | Create IPsec failover (deprecated) |
| deleteIpsecFailover | DELETE | Delete IPsec failover (deprecated) |
| modifyIpsecFailover | PATCH | Modify IPsec failover (deprecated) |
| getVpnPreSharedKey | GET | Generate a random pre-shared key for IPSec |
| getSiteToSiteVpnList | GET | Get site-to-site VPN list (deprecated) |
| createSiteToSiteVpn | POST | Create site-to-site VPN (deprecated) |
| deleteSiteToSiteVpn | DELETE | Delete site-to-site VPN (deprecated) |
| getSiteToSiteVpnInfo | GET | Get site-to-site VPN info (deprecated) |
| modifySiteToSiteVpn | PATCH | Modify site-to-site VPN (deprecated) |
| disconnectSslVpnTunnel | POST | Disconnect SSL VPN tunnel |
| lockSslVpnTunnel | POST | Lock SSL VPN tunnel |
| getVpnUserList | GET | Get VPN user list without page |
| getBriefVpnUserByServerIdList | GET | Get brief VPN user list by VPN server ID without page |
| batchDeleteVpnUser | DELETE | Batch delete VPN user |
| getGridVpnUser | GET | Get VPN user list (deprecated) |
| createVpnUser | POST | Create VPN user (deprecated) |
| deleteVpnUser | DELETE | Delete VPN user |
| modifyVpnUser | PATCH | Modify VPN user (deprecated) |
| getVpnUserServerList | GET | Get VPN server list for user |
| uploadVpnCertificateFileV2 | POST | Upload VPN certificate file V2 |
| deleteVpnV2 | DELETE | Delete VPN V2 |
| getGridVpnClientV2 | GET | Get VPN Client summary list |
| createVpnClient | POST | Create client-to-site VPN client V2 |
| getVpnClientDetailInfo | GET | Get client-to-site VPN client detail info |
| modifyVpnClient | PATCH | Modify client-to-site VPN client V2 |
| getGridVpnServerV2 | GET | Get VPN Server summary list |
| createVpnServer | POST | Create client-to-site VPN server V2 |
| getVpnServerDetailInfo | GET | Get client-to-site VPN server detail info |
| modifyVpnServer | PATCH | Modify client-to-site VPN server V2 |
| getGridVpnS2SV2 | GET | Get VPN Site to Site summary list |
| createS2SManualVpn | POST | Create site-to-site VPN by manual |
| getVpnS2SDetailInfo | GET | Get site-to-site VPN detail info |
| modifyS2SManualVpn | PATCH | Modify site-to-site VPN by manual |
| createS2SAutoVpn | POST | Create site-to-site VPN by auto |
| modifyS2SAutoVpn | PATCH | Modify site-to-site VPN by auto |
| getGridVpnUserV2 | GET | Get VPN user list V2 |
| createVpnUserV2 | POST | Create VPN user V2 (deprecated) |
| modifyVpnUserV2 | PATCH | Modify VPN user V2 (deprecated) |
| getVpnServerUserListV3 | GET | Get user list by VPN server ID |
| createVpnUserV3 | POST | Create VPN user V3 |
| modifyVpnUserV3 | PATCH | Modify VPN user V3 |
downloadVpnCertificate
GET /openapi/v1/{omadacId}/files/sites/{siteId}/vpn/{vpnId}/certificate
Download Open VPN or SSL VPN certificate
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
// omada_call_operation
{
"operationId": "downloadVpnCertificate",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
}
}Details, permissions and error codes
Download Open VPN or SSL VPN certificate. Filename is a UTF-8 string encoded by URL Encoder.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34606 - No gateway in this site.
-34607 - Failed to get the VPN certificate.
-34624 - Failed to get any response from the gateway.
-34685 - It takes about 5 minutes to generate the file, please export it later.
listRemoteSite
GET /openapi/v1/{omadacId}/sites/{siteId}/remoteSites
List Remote Site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "listRemoteSite",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
List Remote Site.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
batchDeleteVpn
DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn
Batch delete VPN
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BatchSelectVpnVO
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<string> | no | ID list of batch selected VPNs. |
searchKey | string | no | The keywords of the searchIt is effected when [selectAll] is 'true'. |
selectAll | boolean | no | Indicates whether to select all VPNs for deletion. The behavior depends on the combination with 'ids': 1: If selectAll is true and ids is not empty: perform a reverse selection (excluding the specified IDs). 2: If selectAll is true and ids is empty: select all VPNs. 3: If selectAll is false and ids is not empty: select only the specified VPNs in the ID list. |
usage | integer | no | Parameter [usage] should be a value as follows: 0, Server; 1, Client; 2, Site-To-Site. |
// omada_call_operation
{
"operationId": "batchDeleteVpn",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete VPN.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
getAllVpnList
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn
Deprecated
This operation is deprecated.
Get All VPN list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getAllVpnList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get All VPN list. This interface has been deprecated. Please use the following interfaces instead: Get VPN Server summary list and Get client-to-site VPN server detail info;Get VPN Client summary list and Get client-to-site VPN client detail info;Get VPN Site to Site summary list and Get site-to-site VPN detail info. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
deleteVpn
DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/{vpnId}
Deprecated
This operation is deprecated.
Delete VPN
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
// omada_call_operation
{
"operationId": "deleteVpn",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
}
}Details, permissions and error codes
Delete VPN. This interface has been deprecated. Please use the following interfaces instead: Delete VPN V2. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
checkUsedVpn
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/{vpnId}/checkUsed
Check used function for single VPN item
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
// omada_call_operation
{
"operationId": "checkUsedVpn",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
}
}Details, permissions and error codes
Check used function for single VPN item.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
modifyClientStatus
PATCH /openapi/v1/{omadacId}/sites/{siteId}/vpn/{vpnId}/status
Modify VPN status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
Request body — application/json (required) — schema VpnStatusVO
| Field | Type | Required | Description |
|---|---|---|---|
status | boolean | yes |
// omada_call_operation
{
"operationId": "modifyClientStatus",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify VPN status.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
getSslVpnUserGroupBriefList
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/briefusergroups
Get SSL VPN user Group list V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSslVpnUserGroupBriefList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get SSL VPN user Group brief information list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
uploadVpnCertificateFile
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/certificate
Deprecated
This operation is deprecated.
Upload VPN certificate file
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — multipart/form-data (optional). File field(s): file.
// omada_call_operation
{
"operationId": "uploadVpnCertificateFile",
"params": {
"siteId": "<siteId>"
},
"files": {
"file": {
"path": "/path/to/file"
}
}
}Details, permissions and error codes
Upload VPN certificate file. This interface has been deprecated. Please use the following interfaces instead: Upload VPN certificate file V2. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
checkUsedInVpns
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/checkUsed
Check used function for multiple VPN items
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BatchSelectVpnVO
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<string> | no | ID list of batch selected VPNs. |
searchKey | string | no | The keywords of the searchIt is effected when [selectAll] is 'true'. |
selectAll | boolean | no | Indicates whether to select all VPNs for deletion. The behavior depends on the combination with 'ids': 1: If selectAll is true and ids is not empty: perform a reverse selection (excluding the specified IDs). 2: If selectAll is true and ids is empty: select all VPNs. 3: If selectAll is false and ids is not empty: select only the specified VPNs in the ID list. |
usage | integer | no | Parameter [usage] should be a value as follows: 0, Server; 1, Client; 2, Site-To-Site. |
// omada_call_operation
{
"operationId": "checkUsedInVpns",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Check used function for multiple VPN items.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
checkValueAvailable
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/checkValue
Check whether vpn value is available
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema VpnValueAvailableVO
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | Parameter [type] should be a value as follows: 0, name; 1, port. |
usage | integer | no | Parameter [usage] should not be null when [type] is name. Parameter [usage] should be a value as follows: 0, server; 1, client; 2: site-to-site. |
name | string | no | VPN name. Parameter [name] should not be null when [type] is name. |
port | integer | no | Parameter [port] should not be null when [type] is port. |
vpnType | integer | no | Vpn type should be a value as follows: 0: L2TP; 1: PPTP; 2: IPSec; 3: OpenVPN; 4: WireGuard; 5: SSL VPN. |
wan | string | no | WAN of the VPN. |
serviceType | integer | no | Service type of the Open VPN should be a value as follows: 0: UDP; 1: TCP. |
id | string | no | VPN ID. |
// omada_call_operation
{
"operationId": "checkValueAvailable",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Check whether vpn value is available.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getClientToSiteVpnClientList
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-clients
Deprecated
This operation is deprecated.
Get client-to-site VPN client list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getClientToSiteVpnClientList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get client-to-site VPN client list. This interface has been deprecated. Please use the following interfaces instead: Get VPN Client summary list and Get client-to-site VPN client detail info. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createClientToSiteVpnClient
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-clients
Deprecated
This operation is deprecated.
Create client-to-site VPN client
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ClientToSiteVpnClient
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | ID of the VPN. |
name | string | yes | Name should contain 1 to 63 characters. |
status | boolean | no | Status of the VPN. |
mode | integer | no | Mode(only for server OpenVPN) should be a value as follows: 0: certification; 1: certification+account. |
remoteSite | string | no | Remote site of the VPN. |
remoteIp | string | no | Remote IP of the VPN. Get whether supports domain from interface 'Get client-to-site VPN client list'. |
remoteSubnet | array<IPSubnetsVO> | no | Remote subnet of the VPN. |
networkType | integer | no | Network type should be a value as follows: 0: network list; 1: custom networks. |
networkList | array<string> | no | Network list of the VPN. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. |
customNetwork | array<IPSubnetsVO> | no | Custom networks of the VPN. |
preSharedKey | string | no | Pre-shared key of the VPN. |
wan | array<string> | yes | WAN list of the VPN. WAN port ID can be obtained from 'Get internet basic info' interface. |
clientVpnType | integer | yes | Client Vpn type should be a value as follows: 0: L2TP; 1: PPTP; 2: IPSec; 3: OpenVPN. |
openVpnTunnelMode | integer | no | OpenVPN tunnel mode should be a value as follows: 0: split; 1: full. |
openVpnMode | integer | no | OpenVPN mode should be a value as follows: 0: certification; 1: certification+account. |
serviceType | integer | no | Service type should be a value as follows: 0: UDP; 1: TCP. |
servicePort | integer | no | Service port should be within the range of 1–65535. |
encryption | integer | no | Encryption should be a value as follows: 0: Encrypted; 1: Unencrypted. |
workingMode | integer | no | Working mode should be a value as follows: 0: NAT; 1: Routing. |
clientUserName | string | no | Client username should contain 1 to 64 characters. |
clientPassword | string | no | Client password should contain 1 to 64 characters. |
vpnConfiguration | VpnCertificateOpenApiVO | no | (VpnCertificateOpenApiVO not expanded; call omada_get_schema "VpnCertificateOpenApiVO") |
// omada_call_operation
{
"operationId": "createClientToSiteVpnClient",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create client-to-site VPN client. This interface has been deprecated. Please use the following interfaces instead: Create client-to-site VPN client V2. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
deleteClientToSiteVpnClient
DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-clients/{vpnId}
Deprecated
This operation is deprecated.
Delete client-to-site VPN client
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
// omada_call_operation
{
"operationId": "deleteClientToSiteVpnClient",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
}
}Details, permissions and error codes
Delete client-to-site VPN client. This interface has been deprecated. Please use the following interfaces instead: Delete VPN V2. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34682 - This VPN entry has been used by Static Route, and thus it cannot be deleted.
-34683 - This VPN entry has been used by Policy Routing, and thus it cannot be deleted.
-34684 - This VPN entry has been used by Static Route and Policy Routing, and thus it cannot be deleted.
-35706 - This VPN entry has been used by Gateway ACL, and thus it cannot be deleted.
getVpnClientToSiteClientInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-clients/{vpnId}
Deprecated
This operation is deprecated.
Get client-to-site VPN client info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
// omada_call_operation
{
"operationId": "getVpnClientToSiteClientInfo",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
}
}Details, permissions and error codes
Get client-to-site VPN client info. This interface has been deprecated. Please use the following interfaces instead: Get VPN Client summary list and Get client-to-site VPN client detail info. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
modifyClientToSiteVpnClient
PATCH /openapi/v1/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-clients/{vpnId}
Deprecated
This operation is deprecated.
Modify client-to-site VPN client
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
Request body — application/json (required) — schema ClientToSiteVpnClient
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | ID of the VPN. |
name | string | yes | Name should contain 1 to 63 characters. |
status | boolean | no | Status of the VPN. |
mode | integer | no | Mode(only for server OpenVPN) should be a value as follows: 0: certification; 1: certification+account. |
remoteSite | string | no | Remote site of the VPN. |
remoteIp | string | no | Remote IP of the VPN. Get whether supports domain from interface 'Get client-to-site VPN client list'. |
remoteSubnet | array<IPSubnetsVO> | no | Remote subnet of the VPN. |
networkType | integer | no | Network type should be a value as follows: 0: network list; 1: custom networks. |
networkList | array<string> | no | Network list of the VPN. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. |
customNetwork | array<IPSubnetsVO> | no | Custom networks of the VPN. |
preSharedKey | string | no | Pre-shared key of the VPN. |
wan | array<string> | yes | WAN list of the VPN. WAN port ID can be obtained from 'Get internet basic info' interface. |
clientVpnType | integer | yes | Client Vpn type should be a value as follows: 0: L2TP; 1: PPTP; 2: IPSec; 3: OpenVPN. |
openVpnTunnelMode | integer | no | OpenVPN tunnel mode should be a value as follows: 0: split; 1: full. |
openVpnMode | integer | no | OpenVPN mode should be a value as follows: 0: certification; 1: certification+account. |
serviceType | integer | no | Service type should be a value as follows: 0: UDP; 1: TCP. |
servicePort | integer | no | Service port should be within the range of 1–65535. |
encryption | integer | no | Encryption should be a value as follows: 0: Encrypted; 1: Unencrypted. |
workingMode | integer | no | Working mode should be a value as follows: 0: NAT; 1: Routing. |
clientUserName | string | no | Client username should contain 1 to 64 characters. |
clientPassword | string | no | Client password should contain 1 to 64 characters. |
vpnConfiguration | VpnCertificateOpenApiVO | no | (VpnCertificateOpenApiVO not expanded; call omada_get_schema "VpnCertificateOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyClientToSiteVpnClient",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify client-to-site VPN client. This interface has been deprecated. Please use the following interfaces instead: Modify client-to-site VPN client V2. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
-34679 - This VPN entry has been used by Static Route, and thus the VPN type cannot be changed.
-34680 - This VPN entry has been used by Policy Routing, and thus the VPN type cannot be changed.
-34681 - This VPN entry has been used by Static Route and Policy Routing, and thus the VPN type cannot be changed.
-35705 - This VPN entry has been used by Gateway ACL, and thus the VPN type cannot be changed.
getClientToSiteVpnServerList
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-servers
Deprecated
This operation is deprecated.
Get client-to-site VPN server list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getClientToSiteVpnServerList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get client-to-site VPN server list. This interface has been deprecated. Please use the following interfaces instead: Get VPN Server summary list and Get client-to-site VPN server detail info. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createClientToSiteVpnServer
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-servers
Deprecated
This operation is deprecated.
Create client-to-site VPN server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ClientToSiteVpnServer
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | ID of the VPN. |
name | string | yes | Name should contain 1 to 63 characters. |
status | boolean | no | Status of the VPN. |
accountPassword | boolean | no | Account password of the VPN, only for server OpenVPN. |
tunnelMode | integer | no | Tunnel mode(only for server OpenVPN)should be a value as follows: 0: split; 1: full. |
openVpnMode | integer | no | OpenVPN mode should be a value as follows: 0: certification; 1: certification+account. |
remoteIp | string | no | Remote IP of the VPN |
networkType | integer | no | Network type should be a value as follows: 0: network list; 1: custom networks. |
networkList | array<string> | no | Network list of the VPN. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. |
customNetwork | array<IPSubnetsVO> | no | Custom networks of the VPN. |
preSharedKey | string | no | Pre-shared key of the VPN. |
wan | array<string> | yes | WAN list of the VPN. WAN port ID can be obtained from 'Get internet basic info' interface. |
clientVpnType | integer | yes | Client Vpn type should be a value as follows: 0: L2TP; 1: PPTP; 2: IPSec; 3: OpenVPN. |
encryption | integer | no | Encryption should be a value as follows: 0: Encrypted; 1: Unencrypted. |
ipPoolType | integer | no | IP pool type should be a value as follows: 0: Ip Address/Mask; 1: Ip Address Range. |
ipPoolStart | string | no | The start IP of the IP pool. |
ipPoolEnd | string | no | The end IP of the IP pool. |
ipPool | IPSubnetsVO | yes | (IPSubnetsVO not expanded; call omada_get_schema "IPSubnetsVO") |
primaryDns | string | no | Primary DNS of the VPN. |
secondaryDns | string | no | Secondary DNS of the VPN. |
serviceType | integer | no | Service type of the VPN. |
servicePort | integer | no | Service port should be within the range of 1–65535. |
authMode | integer | no | Authentication mode should be a value as follows: 0: Local; 1: LDAP. |
advancedSetting | VpnAdvancedSettingOpenApiVO | no | (VpnAdvancedSettingOpenApiVO not expanded; call omada_get_schema "VpnAdvancedSettingOpenApiVO") |
// omada_call_operation
{
"operationId": "createClientToSiteVpnServer",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create client-to-site VPN server. This interface has been deprecated. Please use the following interfaces instead: Create client-to-site VPN server V2. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
deleteClientToSiteVpnServer
DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-servers/{vpnId}
Deprecated
This operation is deprecated.
Delete client-to-site VPN server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
// omada_call_operation
{
"operationId": "deleteClientToSiteVpnServer",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
}
}Details, permissions and error codes
Delete client-to-site VPN server. This interface has been deprecated. Please use the following interfaces instead: Delete VPN V2. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
getClientToSiteVpnServerInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-servers/{vpnId}
Deprecated
This operation is deprecated.
Get client-to-site VPN server info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
// omada_call_operation
{
"operationId": "getClientToSiteVpnServerInfo",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
}
}Details, permissions and error codes
Get client-to-site VPN server info. This interface has been deprecated. Please use the following interfaces instead: Get VPN Server summary list and Get client-to-site VPN server detail info. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
modifyClientToSiteVpnServer
PATCH /openapi/v1/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-servers/{vpnId}
Deprecated
This operation is deprecated.
Modify client-to-site VPN server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
Request body — application/json (required) — schema ClientToSiteVpnServer
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | ID of the VPN. |
name | string | yes | Name should contain 1 to 63 characters. |
status | boolean | no | Status of the VPN. |
accountPassword | boolean | no | Account password of the VPN, only for server OpenVPN. |
tunnelMode | integer | no | Tunnel mode(only for server OpenVPN)should be a value as follows: 0: split; 1: full. |
openVpnMode | integer | no | OpenVPN mode should be a value as follows: 0: certification; 1: certification+account. |
remoteIp | string | no | Remote IP of the VPN |
networkType | integer | no | Network type should be a value as follows: 0: network list; 1: custom networks. |
networkList | array<string> | no | Network list of the VPN. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. |
customNetwork | array<IPSubnetsVO> | no | Custom networks of the VPN. |
preSharedKey | string | no | Pre-shared key of the VPN. |
wan | array<string> | yes | WAN list of the VPN. WAN port ID can be obtained from 'Get internet basic info' interface. |
clientVpnType | integer | yes | Client Vpn type should be a value as follows: 0: L2TP; 1: PPTP; 2: IPSec; 3: OpenVPN. |
encryption | integer | no | Encryption should be a value as follows: 0: Encrypted; 1: Unencrypted. |
ipPoolType | integer | no | IP pool type should be a value as follows: 0: Ip Address/Mask; 1: Ip Address Range. |
ipPoolStart | string | no | The start IP of the IP pool. |
ipPoolEnd | string | no | The end IP of the IP pool. |
ipPool | IPSubnetsVO | yes | (IPSubnetsVO not expanded; call omada_get_schema "IPSubnetsVO") |
primaryDns | string | no | Primary DNS of the VPN. |
secondaryDns | string | no | Secondary DNS of the VPN. |
serviceType | integer | no | Service type of the VPN. |
servicePort | integer | no | Service port should be within the range of 1–65535. |
authMode | integer | no | Authentication mode should be a value as follows: 0: Local; 1: LDAP. |
advancedSetting | VpnAdvancedSettingOpenApiVO | no | (VpnAdvancedSettingOpenApiVO not expanded; call omada_get_schema "VpnAdvancedSettingOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyClientToSiteVpnServer",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify client-to-site VPN server. This interface has been deprecated. Please use the following interfaces instead: Modify client-to-site VPN server V2. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
getClientToSiteVpnServerUserList
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-servers/{vpnId}/users
Get user list for client-to-site VPN server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
// omada_call_operation
{
"operationId": "getClientToSiteVpnServerUserList",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
}
}Details, permissions and error codes
Get user list for client-to-site VPN server.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getVpnDefaultValue
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/defaultValue
Get default value for VPN
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema VpnDefaultValueReqVO
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | Parameter [type] should be a value as follows: 0, name; 1, port; 2, tunnelIp. |
usage | integer | no | Parameter [usage] should not be null when parameter [type] is name. Parameter [usage] should be a value as follows: 0, server; 1, client; 2, site-to-site. |
vpnType | integer | no | Parameter [vpnType] should not be null when parameter [type] is port. Parameter [vpnType] should be a value as follows: 3, Open VPN; 4, Wire Guard; 5, SSL VPN. |
// omada_call_operation
{
"operationId": "getVpnDefaultValue",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get default value for VPN.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getVpnAvailableIpPool
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ippool
Get available IP pools for VPN
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getVpnAvailableIpPool",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get available IP pools for VPN.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getGridIpsecFailover
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ipsec_failovers
Deprecated
This operation is deprecated.
Get IPsec failover list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridIpsecFailover",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get IPsec failover list. This interface has been deprecated. Please use the following interfaces instead: Get VPN Site to Site summary list and Get site-to-site VPN detail info. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createIpsecFailover
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/ipsec_failovers
Deprecated
This operation is deprecated.
Create IPsec failover
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema IPsecFailover configuration
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | ID of the IPSec failover. |
name | string | yes | Name should contain 1 to 64 characters. |
primary | string | yes | Primary of the IPSec failover. IPsec VPN can be created using 'Create site-to-site VPN' interface, and ID can be obtained from 'Get site-to-site VPN list' interface. |
candidates | array<string> | yes | Candidates of the IPSec failover. IPsec VPN can be created using 'Create site-to-site VPN' interface, and ID can be obtained from 'Get site-to-site VPN list' interface. |
failback | boolean | no | Failback of the IPSec failover. |
failbackTime | integer | no | Failback time should be within the range of 10–3600s. |
// omada_call_operation
{
"operationId": "createIpsecFailover",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create IPsec failover. This interface has been deprecated. Please use the following interfaces instead: Create site-to-site VPN by manual or Modify site-to-site VPN by manual. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35718 - The device does not support configuring the VPN IPsec failover.
deleteIpsecFailover
DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ipsec_failovers/{failoverId}
Deprecated
This operation is deprecated.
Delete IPsec failover
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
failoverId | path | string | yes | IPSec failover ID |
// omada_call_operation
{
"operationId": "deleteIpsecFailover",
"params": {
"siteId": "<siteId>",
"failoverId": "<failoverId>"
}
}Details, permissions and error codes
Delete IPsec failover. This interface has been deprecated. Please use the following interfaces instead: Modify site-to-site VPN by manual. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
modifyIpsecFailover
PATCH /openapi/v1/{omadacId}/sites/{siteId}/vpn/ipsec_failovers/{failoverId}
Deprecated
This operation is deprecated.
Modify IPsec failover
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
failoverId | path | string | yes | IPSec failover ID |
Request body — application/json (required) — schema IPsecFailover configuration
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | ID of the IPSec failover. |
name | string | yes | Name should contain 1 to 64 characters. |
primary | string | yes | Primary of the IPSec failover. IPsec VPN can be created using 'Create site-to-site VPN' interface, and ID can be obtained from 'Get site-to-site VPN list' interface. |
candidates | array<string> | yes | Candidates of the IPSec failover. IPsec VPN can be created using 'Create site-to-site VPN' interface, and ID can be obtained from 'Get site-to-site VPN list' interface. |
failback | boolean | no | Failback of the IPSec failover. |
failbackTime | integer | no | Failback time should be within the range of 10–3600s. |
// omada_call_operation
{
"operationId": "modifyIpsecFailover",
"params": {
"siteId": "<siteId>",
"failoverId": "<failoverId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify IPsec failover. This interface has been deprecated. Please use the following interfaces instead: Modify site-to-site VPN by manual. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35718 - The device does not support configuring the VPN IPsec failover.
getVpnPreSharedKey
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/psk
Generate a random pre-shared key for IPSec
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getVpnPreSharedKey",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Generate a random pre-shared key for IPSec.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getSiteToSiteVpnList
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/site-to-site-vpns
Deprecated
This operation is deprecated.
Get site-to-site VPN list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSiteToSiteVpnList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site-to-site VPN list. This interface has been deprecated. Please use the following interfaces instead: Get VPN Site to Site summary list and Get site-to-site VPN detail info. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createSiteToSiteVpn
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/site-to-site-vpns
Deprecated
This operation is deprecated.
Create site-to-site VPN
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SiteToSiteVpn
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | ID of the VPN. |
name | string | yes | Name should contain 1 to 63 characters. |
siteVpnType | integer | yes | Site VPN type should be a value as follows: 0: Auto IPSec; 1: Manual IPSec. |
status | boolean | yes | Status of the VPN. |
remoteSite | string | no | Remote site of the VPN, only for Auto IPSec type. |
remoteIp | string | no | Remote IP of the VPN, only for Manual IPSec type. |
remoteSubnet | array<IPSubnetsVO> | no | Remote subnet of the VPN, only for Manual IPSec type. |
networkType | integer | no | Network type should be a value as follows: 0: network list; 1: custom networks. |
networkList | array<string> | no | Network list of the VPN, only for Manual IPSec type. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. |
customNetwork | array<IPSubnetsVO> | no | Custom networks of the VPN, only for Manual IPSec type. |
preSharedKey | string | no | Pre-shared key of the VPN, only for Manual IPSec type. |
wan | array<string> | no | WAN list of the VPN, only for Manual IPSec type. WAN port ID can be obtained from 'Get internet basic info' interface. |
advancedSetting | VpnAdvancedSettingOpenApiVO | no | (VpnAdvancedSettingOpenApiVO not expanded; call omada_get_schema "VpnAdvancedSettingOpenApiVO") |
// omada_call_operation
{
"operationId": "createSiteToSiteVpn",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create site-to-site VPN. This interface has been deprecated. Please use the following interfaces instead: Create site-to-site VPN by auto or Create site-to-site VPN by manual. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
deleteSiteToSiteVpn
DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/site-to-site-vpns/{vpnId}
Deprecated
This operation is deprecated.
Delete site-to-site VPN
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
// omada_call_operation
{
"operationId": "deleteSiteToSiteVpn",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
}
}Details, permissions and error codes
Delete site-to-site VPN. This interface has been deprecated. Please use the following interfaces instead: Delete VPN V2. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
getSiteToSiteVpnInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/site-to-site-vpns/{vpnId}
Deprecated
This operation is deprecated.
Get site-to-site VPN info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
// omada_call_operation
{
"operationId": "getSiteToSiteVpnInfo",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
}
}Details, permissions and error codes
Get site-to-site VPN info. This interface has been deprecated. Please use the following interfaces instead: Get VPN Site to Site summary list and Get site-to-site VPN detail info. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
modifySiteToSiteVpn
PATCH /openapi/v1/{omadacId}/sites/{siteId}/vpn/site-to-site-vpns/{vpnId}
Deprecated
This operation is deprecated.
Modify site-to-site VPN
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
Request body — application/json (required) — schema SiteToSiteVpn
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | ID of the VPN. |
name | string | yes | Name should contain 1 to 63 characters. |
siteVpnType | integer | yes | Site VPN type should be a value as follows: 0: Auto IPSec; 1: Manual IPSec. |
status | boolean | yes | Status of the VPN. |
remoteSite | string | no | Remote site of the VPN, only for Auto IPSec type. |
remoteIp | string | no | Remote IP of the VPN, only for Manual IPSec type. |
remoteSubnet | array<IPSubnetsVO> | no | Remote subnet of the VPN, only for Manual IPSec type. |
networkType | integer | no | Network type should be a value as follows: 0: network list; 1: custom networks. |
networkList | array<string> | no | Network list of the VPN, only for Manual IPSec type. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. |
customNetwork | array<IPSubnetsVO> | no | Custom networks of the VPN, only for Manual IPSec type. |
preSharedKey | string | no | Pre-shared key of the VPN, only for Manual IPSec type. |
wan | array<string> | no | WAN list of the VPN, only for Manual IPSec type. WAN port ID can be obtained from 'Get internet basic info' interface. |
advancedSetting | VpnAdvancedSettingOpenApiVO | no | (VpnAdvancedSettingOpenApiVO not expanded; call omada_get_schema "VpnAdvancedSettingOpenApiVO") |
// omada_call_operation
{
"operationId": "modifySiteToSiteVpn",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site-to-site VPN. This interface has been deprecated. Please use the following interfaces instead: Modify site-to-site VPN by auto or Modify site-to-site VPN by manual.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
disconnectSslVpnTunnel
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/stats/sslvpn/tunnel/{tunnelId}/disconnect
Disconnect SSL VPN tunnel
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
tunnelId | path | string | yes | SSL VPN tunnel ID |
// omada_call_operation
{
"operationId": "disconnectSslVpnTunnel",
"params": {
"siteId": "<siteId>",
"tunnelId": "<tunnelId>"
}
}Details, permissions and error codes
Disconnect SSL VPN tunnel by VPN ID.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
lockSslVpnTunnel
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/stats/sslvpn/tunnel/{tunnelId}/lock
Lock SSL VPN tunnel
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
tunnelId | path | string | yes | SSL VPN tunnel ID |
// omada_call_operation
{
"operationId": "lockSslVpnTunnel",
"params": {
"siteId": "<siteId>",
"tunnelId": "<tunnelId>"
}
}Details, permissions and error codes
Lock SSL VPN tunnel by VPN ID.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
getVpnUserList
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/userlist/{protocol}
Get VPN user list without page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
protocol | path | string | yes | 0: L2TP or PPTP; 1: OpenVPN; 2: SSL VPN |
// omada_call_operation
{
"operationId": "getVpnUserList",
"params": {
"siteId": "<siteId>",
"protocol": "<protocol>"
}
}Details, permissions and error codes
Get VPN user list without page.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getBriefVpnUserByServerIdList
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/userlist/server/{serverId}
Get brief VPN user list by VPN server ID without page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
serverId | path | string | yes | VPN server ID |
// omada_call_operation
{
"operationId": "getBriefVpnUserByServerIdList",
"params": {
"siteId": "<siteId>",
"serverId": "<serverId>"
}
}Details, permissions and error codes
Get brief VPN user list by VPN server ID without page.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
batchDeleteVpnUser
DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/users
Batch delete VPN user
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BatchSelectVpnUserVO
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<string> | no | ID list of batch selected VPN users. |
searchKey | string | no | The keywords of the searchIt is effected when [selectAll] is 'true'. |
selectAll | boolean | no | Indicates whether to select all VPN users for deletion. The behavior depends on the combination with 'ids': 1: If selectAll is true and ids is not empty: perform a reverse selection (excluding the specified IDs). 2: If selectAll is true and ids is empty: select all VPN users. 3: If selectAll is false and ids is not empty: select only the specified VPN users in the ID list. |
protocol | integer | no | Protocol should be a value as follows: 0: L2TP or PPTP; 1: OpenVPN, 2: SSL VPN. |
// omada_call_operation
{
"operationId": "batchDeleteVpnUser",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete VPN user.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
getGridVpnUser
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/users
Deprecated
This operation is deprecated.
Get VPN user list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | searchKey |
// omada_call_operation
{
"operationId": "getGridVpnUser",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get VPN user list. This interface has been deprecated. Please use the following interfaces instead: Get VPN user list V2. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createVpnUser
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/users
Deprecated
This operation is deprecated.
Create VPN user
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema VpnUser
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | ID of the VPN user. |
username | string | no | Username of the VPN user. |
password | string | no | Password of the VPN user. |
protocol | integer | no | Protocol should be a value as follows: 0: L2TP or PPTP; 1: openVPN. |
clientMode | integer | no | Client mode should be a value as follows: 0: Client-To-Site, 1: Site-To-Site. |
maxConnections | integer | no | Max connections should be within the range of 1–100. |
userRemoteSubnets | array<IPSubnetsVO> | no | User remote subnets of the VPN user. |
servers | array<string> | no | Servers of the VPN user. Server can be created using 'Create client-to-site VPN server' interface, and server ID can be obtained from 'Get client-to-site VPN server list' interface. |
localIp | string | no | Local IP of the VPN user. |
serverNames | string | no | Server names of the VPN user. |
// omada_call_operation
{
"operationId": "createVpnUser",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create VPN user. This interface has been deprecated. Please use the following interface instead: Create VPN user V2. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
deleteVpnUser
DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/users/{userId}
Delete VPN user
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
userId | path | string | yes | VPN user ID |
// omada_call_operation
{
"operationId": "deleteVpnUser",
"params": {
"siteId": "<siteId>",
"userId": "<userId>"
}
}Details, permissions and error codes
Delete VPN user.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
modifyVpnUser
PATCH /openapi/v1/{omadacId}/sites/{siteId}/vpn/users/{userId}
Deprecated
This operation is deprecated.
Modify VPN user
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
userId | path | string | yes | VPN user ID |
Request body — application/json (required) — schema VpnUser
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | ID of the VPN user. |
username | string | no | Username of the VPN user. |
password | string | no | Password of the VPN user. |
protocol | integer | no | Protocol should be a value as follows: 0: L2TP or PPTP; 1: openVPN. |
clientMode | integer | no | Client mode should be a value as follows: 0: Client-To-Site, 1: Site-To-Site. |
maxConnections | integer | no | Max connections should be within the range of 1–100. |
userRemoteSubnets | array<IPSubnetsVO> | no | User remote subnets of the VPN user. |
servers | array<string> | no | Servers of the VPN user. Server can be created using 'Create client-to-site VPN server' interface, and server ID can be obtained from 'Get client-to-site VPN server list' interface. |
localIp | string | no | Local IP of the VPN user. |
serverNames | string | no | Server names of the VPN user. |
// omada_call_operation
{
"operationId": "modifyVpnUser",
"params": {
"siteId": "<siteId>",
"userId": "<userId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify VPN user. This interface has been deprecated. Please use the following interface instead: Modify VPN user V3. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getVpnUserServerList
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/userServers
Get VPN server list for user
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getVpnUserServerList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get VPN server list for user.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
uploadVpnCertificateFileV2
POST /openapi/v2/{omadacId}/files/sites/{siteId}/vpn/certificate
Upload VPN certificate file V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — multipart/form-data (optional). File field(s): file.
// omada_call_operation
{
"operationId": "uploadVpnCertificateFileV2",
"params": {
"siteId": "<siteId>"
},
"files": {
"file": {
"path": "/path/to/file"
}
}
}Details, permissions and error codes
Upload VPN certificate file.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
deleteVpnV2
DELETE /openapi/v2/{omadacId}/sites/{siteId}/vpn/{vpnId}
Delete VPN V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
// omada_call_operation
{
"operationId": "deleteVpnV2",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
}
}Details, permissions and error codes
Delete VPN V2.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
getGridVpnClientV2
GET /openapi/v2/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-clients
Get VPN Client summary list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
searchKey | query | string | no | Fuzzy query parameters, support field name. |
filters.vpnType | query | string | no | Filter query parameters, support field vpnType. 0: L2TP; 1: PPTP; 3: OpenVPN; 4: WireGuard;. |
sorts.wans | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridVpnClientV2",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get VPN Client summary list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createVpnClient
POST /openapi/v2/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-clients
Create client-to-site VPN client V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema VpnClientConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name should contain 1 to 63 characters. |
status | boolean | yes | Status of the VPN. |
vpnType | integer | yes | Vpn type should be a value as follows: 0: L2TP; 1: PPTP; 3: OpenVPN; 4: WireGuard. |
wans | array<string> | yes | WAN list of the VPN. WAN port ID can be obtained from 'Get internet basic info' interface. |
setup | integer | yes | Wire Guard setup should be a value as follows: 0: file; 1: manual. |
tunnelIp | string | no | The local IP address of WireGuard VPN. |
servicePort | integer | yes | Service port should be within the range of 1–65535. |
mtu | integer | no | The MTU of WireGuard VPN should be within the range of 576-1440. |
keepAlive | integer | no | The keepalive second of WireGuard peer should be within the range of 0-65535. |
clientPort | integer | no | Client port should be within the range of 1–65535. |
privateKey | string | no | The private key of WireGuard VPN must have 44 character of base64 and end with '='. |
serverPublicKey | string | yes | The public key of WireGuard VPN must have 44 character of base64 and end with '='. |
dns1 | string | no | Primary DNS of the VPN. |
dns2 | string | no | Secondary DNS of the VPN. |
networkType | integer | no | Network type should be a value as follows: 0: network list; 1: custom networks. |
networkList | array<string> | no | Network list of the VPN. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. |
customNetwork | array<VpnIPSubnetsOpenApiVO> | no | Custom networks of the VPN. |
remoteIp | string | yes | Remote IP of the VPN |
remoteSubnet | array<string> | no | Remote subnet of the VPN. |
encryption | integer | no | Encryption should be a value as follows: 0: Encrypted; 1: Unencrypted; 2: Auto. |
preSharedKey | string | no | Pre-shared key of the VPN. |
workingMode | integer | no | Working Mode should be a value as follow: 0:NAT 1:Routing. |
openVpnMode | integer | no | OpenVPN mode should be a value as follows: 0: certification; 1: certification+account. |
clientUsername | string | no | Client username of the VPN. |
clientPassword | string | no | Client password of the VPN. |
vpnConfiguration | VpnCertificateOpenApiVO | yes | (VpnCertificateOpenApiVO not expanded; call omada_get_schema "VpnCertificateOpenApiVO") |
allowedServerAddress | array<string> | no | Wire Guard allowed server address. |
// omada_call_operation
{
"operationId": "createVpnClient",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create client-to-site VPN client.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
getVpnClientDetailInfo
GET /openapi/v2/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-clients/{vpnId}
Get client-to-site VPN client detail info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
// omada_call_operation
{
"operationId": "getVpnClientDetailInfo",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
}
}Details, permissions and error codes
Get client-to-site VPN client detail information by VPN ID.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
modifyVpnClient
PATCH /openapi/v2/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-clients/{vpnId}
Modify client-to-site VPN client V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
Request body — application/json (required) — schema VpnClientConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name should contain 1 to 63 characters. |
status | boolean | yes | Status of the VPN. |
vpnType | integer | yes | Vpn type should be a value as follows: 0: L2TP; 1: PPTP; 3: OpenVPN; 4: WireGuard. |
wans | array<string> | yes | WAN list of the VPN. WAN port ID can be obtained from 'Get internet basic info' interface. |
setup | integer | yes | Wire Guard setup should be a value as follows: 0: file; 1: manual. |
tunnelIp | string | no | The local IP address of WireGuard VPN. |
servicePort | integer | yes | Service port should be within the range of 1–65535. |
mtu | integer | no | The MTU of WireGuard VPN should be within the range of 576-1440. |
keepAlive | integer | no | The keepalive second of WireGuard peer should be within the range of 0-65535. |
clientPort | integer | no | Client port should be within the range of 1–65535. |
privateKey | string | no | The private key of WireGuard VPN must have 44 character of base64 and end with '='. |
serverPublicKey | string | yes | The public key of WireGuard VPN must have 44 character of base64 and end with '='. |
dns1 | string | no | Primary DNS of the VPN. |
dns2 | string | no | Secondary DNS of the VPN. |
networkType | integer | no | Network type should be a value as follows: 0: network list; 1: custom networks. |
networkList | array<string> | no | Network list of the VPN. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. |
customNetwork | array<VpnIPSubnetsOpenApiVO> | no | Custom networks of the VPN. |
remoteIp | string | yes | Remote IP of the VPN |
remoteSubnet | array<string> | no | Remote subnet of the VPN. |
encryption | integer | no | Encryption should be a value as follows: 0: Encrypted; 1: Unencrypted; 2: Auto. |
preSharedKey | string | no | Pre-shared key of the VPN. |
workingMode | integer | no | Working Mode should be a value as follow: 0:NAT 1:Routing. |
openVpnMode | integer | no | OpenVPN mode should be a value as follows: 0: certification; 1: certification+account. |
clientUsername | string | no | Client username of the VPN. |
clientPassword | string | no | Client password of the VPN. |
vpnConfiguration | VpnCertificateOpenApiVO | yes | (VpnCertificateOpenApiVO not expanded; call omada_get_schema "VpnCertificateOpenApiVO") |
allowedServerAddress | array<string> | no | Wire Guard allowed server address. |
// omada_call_operation
{
"operationId": "modifyVpnClient",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify client-to-site VPN client.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
-34679 - This VPN entry has been used by Static Route, and thus the VPN type cannot be changed.
-34680 - This VPN entry has been used by Policy Routing, and thus the VPN type cannot be changed.
-34681 - This VPN entry has been used by Static Route and Policy Routing, and thus the VPN type cannot be changed.
-35705 - This VPN entry has been used by Gateway ACL, and thus the VPN type cannot be changed.
getGridVpnServerV2
GET /openapi/v2/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-servers
Get VPN Server summary list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
searchKey | query | string | no | Fuzzy query parameters, support field name. |
filters.vpnType | query | string | no | Filter query parameters, support field vpnType. 0: L2TP; 1: PPTP; 2: IPSec; 3: OpenVPN; 4: WireGuard; 5: SSL VPN. |
sorts.wans | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridVpnServerV2",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get VPN Server summary list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createVpnServer
POST /openapi/v2/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-servers
Create client-to-site VPN server V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema VpnServerConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name should contain 1 to 63 characters. |
status | boolean | yes | Status of the VPN. |
vpnType | integer | yes | Vpn type should be a value as follows: 0: L2TP; 1: PPTP; 2: IPSec; 3: OpenVPN; 4: WireGuard; 5: SSL VPN. |
wans | array<string> | yes | WAN list of the VPN. WAN port ID can be obtained from 'Get internet basic info' interface. |
servicePort | integer | yes | Service port should be within the range of 1–65535. |
customServer | boolean | no | Enable custom server. |
customServerAddress | string | no | When parameter [customServer] is enable, parameter [customServerAddress] should be IPv4 address or FQDN. |
ipPoolType | integer | no | IP pool type should be a value as follows: 0: Ip Address/Mask; 1: Ip Address Range. |
ipPoolStart | string | no | The start IP of the IP pool. |
ipPoolEnd | string | no | The end IP of the IP pool. |
ipPool | IPSubnetsVO | no | (IPSubnetsVO not expanded; call omada_get_schema "IPSubnetsVO") |
mtu | integer | yes | The MTU of WireGuard VPN should be within the range of 576-1440. |
keepAlive | integer | yes | The keepalive second of WireGuard peer should be within the range of 0-65535. |
privateKey | string | yes | The private key of WireGuard VPN must have 44 character of base64 and end with '='. |
dnsStatus | boolean | no | Dns auto status. |
dns1 | string | no | Primary DNS of the VPN. |
dns2 | string | no | Secondary DNS of the VPN. |
clients | array<ServerWireGuardClientsConfigVO> | no | WireGuard clients. |
tunnelMode | integer | no | Tunnel mode(only for server OpenVPN) should be a value as follows: 0: split; 1: full. |
networkType | integer | no | Network type should be a value as follows: 0: network list; 1: custom networks. |
networkList | array<string> | no | Network list of the VPN. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. |
customNetwork | array<VpnIPSubnetsOpenApiVO> | no | Custom networks of the VPN. |
accountAuth | boolean | no | Whether enable account password of the VPN, only for server OpenVPN. |
authMode | integer | no | Authentication mode should be a value as follows: 0: Local; 1: LDAP; 2:RADIUS. |
radiusSetting | RadiusAuthSettingOpenApiVO | no | (RadiusAuthSettingOpenApiVO not expanded; call omada_get_schema "RadiusAuthSettingOpenApiVO") |
ldapSetting | VpnBaseAuthSettingOpenApiVO | no | (VpnBaseAuthSettingOpenApiVO not expanded; call omada_get_schema "VpnBaseAuthSettingOpenApiVO") |
ldapProfile | string | no | It is required when parameter [authType] is 1. |
serviceType | integer | yes | Service type of the Open VPN should be a value as follows: 0: UDP; 1: TCP. |
remoteIp | string | yes | Remote IP of the VPN. |
encryption | integer | no | Encryption should be a value as follows: 0: Encrypted; 1: Unencrypted; 2: Auto. |
preSharedKey | string | yes | Pre-shared key of the VPN. |
advancedSetting | VpnAdvancedSettingOpenApiVO | yes | (VpnAdvancedSettingOpenApiVO not expanded; call omada_get_schema "VpnAdvancedSettingOpenApiVO") |
nameLockSetting | LockSettingOpenApiVO | yes | (LockSettingOpenApiVO not expanded; call omada_get_schema "LockSettingOpenApiVO") |
ipLockSetting | LockSettingOpenApiVO | yes | (LockSettingOpenApiVO not expanded; call omada_get_schema "LockSettingOpenApiVO") |
exitAtIdle | boolean | yes | Whether to exit when idle. It is required when parameter [status] is true. |
exitTime | integer | no | Exit time should be within the range of 5–3600(s). It is required when parameter [exitAtIdle] is true. |
totalTraffic | boolean | no | Whether to proxy all traffic. It is required when parameter [status] is true. |
vpnUserList | array<string> | yes | VPN user ID list. |
// omada_call_operation
{
"operationId": "createVpnServer",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create client-to-site VPN server V2.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
getVpnServerDetailInfo
GET /openapi/v2/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-servers/{vpnId}
Get client-to-site VPN server detail info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
// omada_call_operation
{
"operationId": "getVpnServerDetailInfo",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
}
}Details, permissions and error codes
Get client-to-site VPN server detail information by VPN ID.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
modifyVpnServer
PATCH /openapi/v2/{omadacId}/sites/{siteId}/vpn/client-to-site-vpn-servers/{vpnId}
Modify client-to-site VPN server V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
Request body — application/json (required) — schema VpnServerConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name should contain 1 to 63 characters. |
status | boolean | yes | Status of the VPN. |
vpnType | integer | yes | Vpn type should be a value as follows: 0: L2TP; 1: PPTP; 2: IPSec; 3: OpenVPN; 4: WireGuard; 5: SSL VPN. |
wans | array<string> | yes | WAN list of the VPN. WAN port ID can be obtained from 'Get internet basic info' interface. |
servicePort | integer | yes | Service port should be within the range of 1–65535. |
customServer | boolean | no | Enable custom server. |
customServerAddress | string | no | When parameter [customServer] is enable, parameter [customServerAddress] should be IPv4 address or FQDN. |
ipPoolType | integer | no | IP pool type should be a value as follows: 0: Ip Address/Mask; 1: Ip Address Range. |
ipPoolStart | string | no | The start IP of the IP pool. |
ipPoolEnd | string | no | The end IP of the IP pool. |
ipPool | IPSubnetsVO | no | (IPSubnetsVO not expanded; call omada_get_schema "IPSubnetsVO") |
mtu | integer | yes | The MTU of WireGuard VPN should be within the range of 576-1440. |
keepAlive | integer | yes | The keepalive second of WireGuard peer should be within the range of 0-65535. |
privateKey | string | yes | The private key of WireGuard VPN must have 44 character of base64 and end with '='. |
dnsStatus | boolean | no | Dns auto status. |
dns1 | string | no | Primary DNS of the VPN. |
dns2 | string | no | Secondary DNS of the VPN. |
clients | array<ServerWireGuardClientsConfigVO> | no | WireGuard clients. |
tunnelMode | integer | no | Tunnel mode(only for server OpenVPN) should be a value as follows: 0: split; 1: full. |
networkType | integer | no | Network type should be a value as follows: 0: network list; 1: custom networks. |
networkList | array<string> | no | Network list of the VPN. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. |
customNetwork | array<VpnIPSubnetsOpenApiVO> | no | Custom networks of the VPN. |
accountAuth | boolean | no | Whether enable account password of the VPN, only for server OpenVPN. |
authMode | integer | no | Authentication mode should be a value as follows: 0: Local; 1: LDAP; 2:RADIUS. |
radiusSetting | RadiusAuthSettingOpenApiVO | no | (RadiusAuthSettingOpenApiVO not expanded; call omada_get_schema "RadiusAuthSettingOpenApiVO") |
ldapSetting | VpnBaseAuthSettingOpenApiVO | no | (VpnBaseAuthSettingOpenApiVO not expanded; call omada_get_schema "VpnBaseAuthSettingOpenApiVO") |
ldapProfile | string | no | It is required when parameter [authType] is 1. |
serviceType | integer | yes | Service type of the Open VPN should be a value as follows: 0: UDP; 1: TCP. |
remoteIp | string | yes | Remote IP of the VPN. |
encryption | integer | no | Encryption should be a value as follows: 0: Encrypted; 1: Unencrypted; 2: Auto. |
preSharedKey | string | yes | Pre-shared key of the VPN. |
advancedSetting | VpnAdvancedSettingOpenApiVO | yes | (VpnAdvancedSettingOpenApiVO not expanded; call omada_get_schema "VpnAdvancedSettingOpenApiVO") |
nameLockSetting | LockSettingOpenApiVO | yes | (LockSettingOpenApiVO not expanded; call omada_get_schema "LockSettingOpenApiVO") |
ipLockSetting | LockSettingOpenApiVO | yes | (LockSettingOpenApiVO not expanded; call omada_get_schema "LockSettingOpenApiVO") |
exitAtIdle | boolean | yes | Whether to exit when idle. It is required when parameter [status] is true. |
exitTime | integer | no | Exit time should be within the range of 5–3600(s). It is required when parameter [exitAtIdle] is true. |
totalTraffic | boolean | no | Whether to proxy all traffic. It is required when parameter [status] is true. |
vpnUserList | array<string> | yes | VPN user ID list. |
// omada_call_operation
{
"operationId": "modifyVpnServer",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify client-to-site VPN server V2.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
getGridVpnS2SV2
GET /openapi/v2/{omadacId}/sites/{siteId}/vpn/site-to-site-vpns
Get VPN Site to Site summary list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
searchKey | query | string | no | Fuzzy query parameters, support field name. |
filters.vpnType | query | string | no | Filter query parameters, support field vpnType. 2: IPSec; 4: WireGuard; 5: SSL VPN. |
sorts.wans | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridVpnS2SV2",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get VPN Site to Site summary list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createS2SManualVpn
POST /openapi/v2/{omadacId}/sites/{siteId}/vpn/site-to-site-vpns
Create site-to-site VPN by manual
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema VpnSiteToSiteManualConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name should contain 1 to 63 characters. |
status | boolean | yes | Status of the VPN. |
vpnType | integer | yes | Vpn type should be a value as follows: 2: IPSec; 4: WireGuard. |
mtu | integer | yes | The MTU of WireGuard VPN should be within the range of 576-1440. |
servicePort | integer | yes | Service port should be within the range of 1–65535. |
tunnelIp | string | yes | IP address. |
privateKey | string | yes | The private key of WireGuard VPN must have 44 character of base64 and end with '='. |
peers | array<SiteToSiteManualWgPeerConfigVO> | no | List of Site-To-Site manual WireGuard peer Configuration. |
wans | array<string> | yes | WAN list of the VPN, only for Manual IPSec type. WAN port ID can be obtained from 'Get internet basic info' interface. |
failoverSetting | IPsecFailoverSettingOpenApiVO | no | (IPsecFailoverSettingOpenApiVO not expanded; call omada_get_schema "IPsecFailoverSettingOpenApiVO") |
remoteIp | string | yes | Remote IP of the VPN. |
remoteSubnet | array<string> | yes | Remote subnet of the VPN. |
preSharedKey | string | yes | Pre-shared key of the VPN. |
networkType | integer | no | Network type should be a value as follows: 0: network list; 1: custom networks. |
networkList | array<string> | no | Network list of the VPN. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. |
customNetwork | array<VpnIPSubnetsOpenApiVO> | no | Custom networks of the VPN. |
existCustomNetwork | boolean | no | Whether Local Network Type is Custom. |
advancedSetting | VpnAdvancedSettingOpenApiVO | yes | (VpnAdvancedSettingOpenApiVO not expanded; call omada_get_schema "VpnAdvancedSettingOpenApiVO") |
// omada_call_operation
{
"operationId": "createS2SManualVpn",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create site-to-site VPN by manual.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
getVpnS2SDetailInfo
GET /openapi/v2/{omadacId}/sites/{siteId}/vpn/site-to-site-vpns/{vpnId}
Get site-to-site VPN detail info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
// omada_call_operation
{
"operationId": "getVpnS2SDetailInfo",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
}
}Details, permissions and error codes
Get site-to-site VPN detail information by VPN ID.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
modifyS2SManualVpn
PATCH /openapi/v2/{omadacId}/sites/{siteId}/vpn/site-to-site-vpns/{vpnId}
Modify site-to-site VPN by manual
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
Request body — application/json (required) — schema VpnSiteToSiteManualConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name should contain 1 to 63 characters. |
status | boolean | yes | Status of the VPN. |
vpnType | integer | yes | Vpn type should be a value as follows: 2: IPSec; 4: WireGuard. |
mtu | integer | yes | The MTU of WireGuard VPN should be within the range of 576-1440. |
servicePort | integer | yes | Service port should be within the range of 1–65535. |
tunnelIp | string | yes | IP address. |
privateKey | string | yes | The private key of WireGuard VPN must have 44 character of base64 and end with '='. |
peers | array<SiteToSiteManualWgPeerConfigVO> | no | List of Site-To-Site manual WireGuard peer Configuration. |
wans | array<string> | yes | WAN list of the VPN, only for Manual IPSec type. WAN port ID can be obtained from 'Get internet basic info' interface. |
failoverSetting | IPsecFailoverSettingOpenApiVO | no | (IPsecFailoverSettingOpenApiVO not expanded; call omada_get_schema "IPsecFailoverSettingOpenApiVO") |
remoteIp | string | yes | Remote IP of the VPN. |
remoteSubnet | array<string> | yes | Remote subnet of the VPN. |
preSharedKey | string | yes | Pre-shared key of the VPN. |
networkType | integer | no | Network type should be a value as follows: 0: network list; 1: custom networks. |
networkList | array<string> | no | Network list of the VPN. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. |
customNetwork | array<VpnIPSubnetsOpenApiVO> | no | Custom networks of the VPN. |
existCustomNetwork | boolean | no | Whether Local Network Type is Custom. |
advancedSetting | VpnAdvancedSettingOpenApiVO | yes | (VpnAdvancedSettingOpenApiVO not expanded; call omada_get_schema "VpnAdvancedSettingOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyS2SManualVpn",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site-to-site VPN by manual.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
createS2SAutoVpn
POST /openapi/v2/{omadacId}/sites/{siteId}/vpn/site-to-site-vpns/auto
Create site-to-site VPN by auto
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema VpnSiteToSiteAutoConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name should contain 1 to 63 characters. |
status | boolean | yes | Status of the VPN. |
vpnType | integer | yes | Vpn type should be a value as follows: 2: IPSec; 4: WireGuard. |
remoteSite | string | yes | Remote site of the VPN. |
// omada_call_operation
{
"operationId": "createS2SAutoVpn",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create site-to-site VPN by auto.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
modifyS2SAutoVpn
PATCH /openapi/v2/{omadacId}/sites/{siteId}/vpn/site-to-site-vpns/auto/{vpnId}
Modify site-to-site VPN by auto
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
Request body — application/json (required) — schema VpnSiteToSiteAutoConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name should contain 1 to 63 characters. |
status | boolean | yes | Status of the VPN. |
vpnType | integer | yes | Vpn type should be a value as follows: 2: IPSec; 4: WireGuard. |
remoteSite | string | yes | Remote site of the VPN. |
// omada_call_operation
{
"operationId": "modifyS2SAutoVpn",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site-to-site VPN by auto.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
getGridVpnUserV2
GET /openapi/v2/{omadacId}/sites/{siteId}/vpn/users
Get VPN user list V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | searchKey |
filters.protocol | query | string | no | Filter query parameters, support field protocol. 0: L2TP or PPTP; 1: OpenVPN; 2: SSL VPN. |
filters.clientMode | query | string | no | Filter query parameters, support field clientMode. 0: Network Extension Mode; 1: Client. |
sorts.maxConnections | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.validity | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
// omada_call_operation
{
"operationId": "getGridVpnUserV2",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get VPN user list V2.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createVpnUserV2
POST /openapi/v2/{omadacId}/sites/{siteId}/vpn/users
Deprecated
This operation is deprecated.
Create VPN user V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema VpnUserRequest
| Field | Type | Required | Description |
|---|---|---|---|
username | string | yes | Username of the VPN user. |
password | string | yes | Password of the VPN user. |
protocol | integer | no | Protocol should be a value as follows: 0: L2TP or PPTP; 1: openVPN. |
clientMode | integer | no | Client mode should be a value as follows: 0: Client-To-Site, 1: Site-To-Site. |
maxConnections | integer | no | Max connections should be within the range of 1–100. |
userRemoteSubnets | array<IPSubnetsVO> | no | User remote subnets of the VPN user. |
servers | array<string> | yes | Servers of the VPN user. Server can be created using 'Create client-to-site VPN server' interface, and server ID can be obtained from 'Get client-to-site VPN server list' interface. |
localIp | string | no | Local IP of the VPN user. |
// omada_call_operation
{
"operationId": "createVpnUserV2",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create VPN user. This interface has been deprecated. Please use the following interfaces instead: Create VPN user V3. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34601 - Invalid IP address.
-34602 - This VPN policy does not exist.
-34609 - This VPN user already exists. Please add a VPN user with a different username.
-34654 - Missing parameters.
-35702 - VPN user configuration requires VPN server configuration.
-35716 - The device does not support configuring local IP addresses for VPN users.
-35717 - This device does not support configuring OpenVPN users.
-35719 - The device does not support configuring VPN users.
modifyVpnUserV2
PATCH /openapi/v2/{omadacId}/sites/{siteId}/vpn/users/{userId}
Deprecated
This operation is deprecated.
Modify VPN user V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
userId | path | string | yes | VPN user ID |
Request body — application/json (required) — schema VpnUserRequest
| Field | Type | Required | Description |
|---|---|---|---|
username | string | yes | Username of the VPN user. |
password | string | yes | Password of the VPN user. |
protocol | integer | no | Protocol should be a value as follows: 0: L2TP or PPTP; 1: openVPN. |
clientMode | integer | no | Client mode should be a value as follows: 0: Client-To-Site, 1: Site-To-Site. |
maxConnections | integer | no | Max connections should be within the range of 1–100. |
userRemoteSubnets | array<IPSubnetsVO> | no | User remote subnets of the VPN user. |
servers | array<string> | yes | Servers of the VPN user. Server can be created using 'Create client-to-site VPN server' interface, and server ID can be obtained from 'Get client-to-site VPN server list' interface. |
localIp | string | no | Local IP of the VPN user. |
// omada_call_operation
{
"operationId": "modifyVpnUserV2",
"params": {
"siteId": "<siteId>",
"userId": "<userId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify VPN user. This interface has been deprecated. Please use the following interfaces instead: Modify VPN user V3. This interface had been deprecated.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34601 - Invalid IP address.
-34602 - This VPN policy does not exist.
-34609 - This VPN user already exists. Please add a VPN user with a different username.
-34654 - Missing parameters.
-35702 - VPN user configuration requires VPN server configuration.
-35716 - The device does not support configuring local IP addresses for VPN users.
-35717 - This device does not support configuring OpenVPN users.
-35719 - The device does not support configuring VPN users.
getVpnServerUserListV3
GET /openapi/v3/{omadacId}/sites/{siteId}/vpn/{vpnId}/users
Get user list by VPN server ID
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
filters.clientMode | query | string | no | Filter query parameters, support field clientMode. 0: Network Extension Mode; 1: Client. |
sorts.maxConnections | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getVpnServerUserListV3",
"params": {
[...]
